package com.six15.hudservice;

import java.util.HashMap;
import java.util.Map;

public enum HUD_ErrorBYTE {
    HE_OK  ((byte)0x00),
    HE_CRC ((byte)0x01),
    HE_PACKET ((byte)0x02),
    HE_FRAME ((byte)0x03),
    HE_USB ((byte)0x04),
    HE_MEMS ((byte)0x05),
    HE_POWER ((byte)0x06),
    HE_INVALID_PKT ((byte)0x07),
    HE_INVALID_CMD ((byte)0x08),
    HE_MEM_ALLOC ((byte)0x09),
    HE_MSG_JPG_PUT ((byte)0x0A),
    HE_MSG_JPG_GET ((byte)0x0B),
    HE_MSG_DISP_PUT ((byte)0x0C),
    HE_MSG_DISP_GET ((byte)0x0D),
    HE_MSG_SEND_PUT ((byte)0x0E),
    HE_ERROR ((byte)0xFF);

    private static final Map<Byte, HUD_ErrorBYTE> typesByValue = new HashMap<Byte, HUD_ErrorBYTE>();

    static {
        for (HUD_ErrorBYTE type : HUD_ErrorBYTE.values()) {
            typesByValue.put(type.value, type);
        }
    }

    private final byte value;
    HUD_ErrorBYTE(byte val) {
        this.value = val;
    }

    public byte value() { return value; }
    public static HUD_ErrorBYTE forValue(byte value) {
        return HUD_ErrorBYTE.typesByValue.get(value);
    }
}