package com.six15.hudservice;

import androidx.annotation.Keep;

import com.google.gson.annotations.SerializedName;

import java.util.HashMap;
import java.util.Map;

@Keep
public enum ImuCalSensor {

    @SerializedName("0")
    IMU_CAL_SENSOR_NONE ((byte)0x00),
    @SerializedName("1")
    IMU_CAL_SENSOR_ACC ((byte)0x01),
    @SerializedName("2")
    IMU_CAL_SENSOR_GYRO ((byte)0x02),
    @SerializedName("3")
    IMU_CAL_SENSOR_MAG_BIAS ((byte)0x03),
    @SerializedName("4")
    IMU_CAL_SENSOR_MAG_SCALE ((byte)0x04);

    private static final Map<Byte, ImuCalSensor> typesByValue = new HashMap<Byte, ImuCalSensor>();

    static {
        for (ImuCalSensor type : ImuCalSensor.values()) {
            typesByValue.put(type.value, type);
        }
    }

    private final byte value;
    ImuCalSensor(byte val) {
        this.value = val;
    }

    public byte value() { return value; }
    public static ImuCalSensor forValue(byte value) {
        return ImuCalSensor.typesByValue.get(value);
    }

}

