package com.six15.hudservice;

import java.util.HashMap;
import java.util.Map;

public enum ImuCalType {
    CAL_USER ((byte)0x00),
    CAL_FACTORY ((byte)0x01),
    CAL_CURRENT ((byte)0x02);

    private static final Map<Byte, ImuCalType> typesByValue = new HashMap<Byte, ImuCalType>();

    static {
        for (ImuCalType type : ImuCalType.values()) {
            typesByValue.put(type.value, type);
        }
    }

    private final byte value;
    ImuCalType(byte val) {
        this.value = val;
    }

    public byte value() { return value; }
    public static ImuCalType forValue(byte value) {
        return ImuCalType.typesByValue.get(value);
    }

}
